# Uses of Interface
org.eclipse.e4.ui.css.core.dom.properties.converters.ICSSValueConverter

Packages that use ICSSValueConverter
Package
Description
org.eclipse.e4.ui.css.core.dom.properties.converters
org.eclipse.e4.ui.css.core.engine
org.eclipse.e4.ui.css.core.impl.engine
org.eclipse.e4.ui.css.swt.properties.converters

## Uses of ICSSValueConverter in org.eclipse.e4.ui.css.core.dom.properties.converters

Classes in org.eclipse.e4.ui.css.core.dom.properties.converters that implement ICSSValueConverter
Modifier and Type
Class
Description
`class`
`AbstractCSSValueConverter`
Abstract base class for converters.
`class`
`CSSValueBooleanConverterImpl`
CSS Value converter to convert : CSS Value to `Boolean` `Boolean` to String CSS Value
Fields in org.eclipse.e4.ui.css.core.dom.properties.converters declared as ICSSValueConverter
Modifier and Type
Field
Description
`static final ICSSValueConverter`
CSSValueBooleanConverterImpl.`INSTANCE`

## Uses of ICSSValueConverter in org.eclipse.e4.ui.css.core.engine

Methods in org.eclipse.e4.ui.css.core.engine that return ICSSValueConverter
Modifier and Type
Method
Description
`ICSSValueConverter`
CSSEngine.`getCSSValueConverter(Object toType)`
Get CSSValue converter `ICSSValueConverter` which is enable to convert `toType` Object.
Methods in org.eclipse.e4.ui.css.core.engine with parameters of type ICSSValueConverter
Modifier and Type
Method
Description
`void`
CSSEngine.`registerCSSValueConverter(ICSSValueConverter converter)`
Register CSSValue converter `ICSSValueConverter`.
`void`
CSSEngine.`unregisterCSSValueConverter(ICSSValueConverter converter)`
Unregister CSSValue converter `ICSSValueConverter`.

## Uses of ICSSValueConverter in org.eclipse.e4.ui.css.core.impl.engine

Methods in org.eclipse.e4.ui.css.core.impl.engine that return ICSSValueConverter
Modifier and Type
Method
Description
`ICSSValueConverter`
CSSEngineImpl.`getCSSValueConverter(Object toType)`
Methods in org.eclipse.e4.ui.css.core.impl.engine with parameters of type ICSSValueConverter
Modifier and Type
Method
Description
`void`
CSSEngineImpl.`registerCSSValueConverter(ICSSValueConverter converter)`
`void`
CSSEngineImpl.`unregisterCSSValueConverter(ICSSValueConverter converter)`

## Uses of ICSSValueConverter in org.eclipse.e4.ui.css.swt.properties.converters

Classes in org.eclipse.e4.ui.css.swt.properties.converters that implement ICSSValueConverter
Modifier and Type
Class
Description
`class`
`CSSValueSWTColorConverterImpl`
CSS Value converter to convert : CSS Value to `Color` `Color` to String CSS Value
`class`
`CSSValueSWTCursorConverterImpl`
`class`
`CSSValueSWTFontConverterImpl`
`class`
`CSSValueSWTFontDataConverterImpl`
CSS Value converter to convert : CSS Value to `FontData` `FontData` to String CSS Value
`class`
`CSSValueSWTGradientConverterImpl`
CSS Value converter to convert : CSS Value to `Gradient` `Gradient` to String CSS Value
`class`
`CSSValueSWTImageConverterImpl`
`class`
`CSSValueSWTRGBConverterImpl`
CSS Value converter to convert : CSS Value to `RGB` `RGB` to String CSS Value
Fields in org.eclipse.e4.ui.css.swt.properties.converters declared as ICSSValueConverter
Modifier and Type
Field
Description
`static final ICSSValueConverter`
CSSValueSWTColorConverterImpl.`INSTANCE`
`static final ICSSValueConverter`
CSSValueSWTCursorConverterImpl.`INSTANCE`
`static final ICSSValueConverter`
CSSValueSWTFontConverterImpl.`INSTANCE`
`static final ICSSValueConverter`
CSSValueSWTFontDataConverterImpl.`INSTANCE`
`static final ICSSValueConverter`
CSSValueSWTGradientConverterImpl.`INSTANCE`
`static final ICSSValueConverter`
CSSValueSWTImageConverterImpl.`INSTANCE`
`static final ICSSValueConverter`
CSSValueSWTRGBConverterImpl.`INSTANCE`